Package oracle.jdbc.dcn

## Interface TableChangeDescription

    public interface TableChangeDescription

This interface describes a database change at the table level.

The information includes:

- The name of the table;
- The type of operation that affected this table.
- The operation can be: a DML operation (such as insert, delete, update) or a DDL operation (such as alter or drop);
- The row level change description which is available only if the operation is a DML operation.

Since:
  11.1

### Nested Class Summary

Nested Classes
`static class` `TableChangeDescription.TableOperation`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getObjectNumber()` Returns the object number (Oracle internal information).
`RowChangeDescription[]` `getRowChangeDescription()` Returns the row level change description of the notification.
`java.lang.String` `getTableName()` Returns the name of the table.
`java.util.EnumSet<TableChangeDescription.TableOperation>` `getTableOperations()` Returns the table operations that affected this table.

### Method Detail

#### getTableOperations

    java.util.EnumSet<TableChangeDescription.TableOperation> getTableOperations()

Returns the table operations that affected this table.

More than one operation can have affected this table. For example, one row can have been inserted and another can have been deleted. So this method returns an `EnumSet` of `TableOperation`.

The row level description will contain the details but it isn't always available.

#### getTableName

    java.lang.String getTableName()

Returns the name of the table.

#### getObjectNumber

    int getObjectNumber()

Returns the object number (Oracle internal information).

#### getRowChangeDescription

    RowChangeDescription[] getRowChangeDescription()

Returns the row level change description of the notification.

The row level change description is only available if the operation is a DML operation such as insert, update or delete.